## org.apache.lucene.codecs.mockintblock
Class MockVariableIntBlockPostingsFormat.MockIntFactory

    java.lang.Object
      org.apache.lucene.codecs.sep.IntStreamFactory
          org.apache.lucene.codecs.mockintblock.MockVariableIntBlockPostingsFormat.MockIntFactory

Enclosing class:
  MockVariableIntBlockPostingsFormat

    public static class MockVariableIntBlockPostingsFormat.MockIntFactory

extends IntStreamFactory

If the first value is <= 3, writes baseBlockSize vInts at once, otherwise writes 2*baseBlockSize vInts.

Constructor Summary
`MockVariableIntBlockPostingsFormat.MockIntFactory(int baseBlockSize)`

Method Summary
`IntIndexOutput` `createOutput(Directory dir, String fileName, IOContext context)`
`IntIndexInput` `openInput(Directory dir, String fileName, IOContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockVariableIntBlockPostingsFormat.MockIntFactory

    public MockVariableIntBlockPostingsFormat.MockIntFactory(int baseBlockSize)

Method Detail

### openInput

    public IntIndexInput openInput(Directory dir,
                                   String fileName,
                                   IOContext context)
                            throws IOException

  Specified by:
    `openInput` in class `IntStreamFactory`
  Throws:
    `IOException`

### createOutput

    public IntIndexOutput createOutput(Directory dir,
                                       String fileName,
                                       IOContext context)
                                throws IOException

  Specified by:
    `createOutput` in class `IntStreamFactory`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.